//  main: main.less, out: ../style.css

/* ====================================================================================================================================
GLOBAL STYLES
======================================================================================================================================*/
// BASE
body,
html {
    background-color: @color__primary;
    color: @color__white;
}

.login h1 a {
    background-image: none!important;
}

// HEADER
.c-header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    font-family: @font_base;
    font-size: @size__r;
    color: @color__white;
    width: 100%;
    height: @header__h;
    background-color: @color__primary;
    box-shadow: @shadow;
    padding: 0 @margin__xl;
    z-index: 998;
    .u-flex-display;
    .u-justify-content(space-between);
    .u-align-items(center);
    .transition-elastic;

    h1 {
        margin: 0;
    }

    &:after,
    &:before {
        display: none;
    }

}

.custom-logo-link {
    max-width: initial;
    line-height: 0;
    height: 30px;
    .u-flex-display;
    .u-align-items(center);
    .u-justify-content(flex-start);

    img {
        width: 200px;
        height: auto;
        display: inline-block;
    }
}

//HOME MENU 
.home {

    @media @media_desktop,
    @media_landascape,
    @media_full {
        .c-header {
            .u-transform(translateY(-100%));
        }

        &.isScrolled {
            .c-header {
                .u-transform(translateY(0));
            }
        }
    }
}

// NAV MENU
.main-navigation {
    //width: calc(100% ~"-"400px);
    //width: @navmenu__w;
    .u-flex-display;
    .u-align-items(center);

    .c-menu {
        .u-flex-display;
    }

    .c-menu a {
        position: relative;
        display: inline-block;
        color: @color__white;
        text-transform: uppercase;
        text-decoration: none;
        white-space: nowrap;
        padding: 0 @margin__s;
        height: @navItem__h;
        line-height: @navItem__h;
        .u-noselect;

        &:after {
            position: absolute;
            content: '';
            display: block;
            width: 100%;
            height: 0;
            background-color: @color__secondary;
            left: 0;
            bottom: 0;
            .transition-elastic--long;
        }

        &:hover {
            &:after {
                height: 5px;
            }
        }
    }

    li.current_page_item a:after, li.current-page-ancestor a:after, li.current_page_parent a:after{
        height: 5px;
    }

    ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
    }

    li {
        margin-bottom: 0;
    }

}

.c-socialWidget {
    margin-left: @margin__l;

    img {
        width: @margin__s;
        height: auto;
        max-width: initial;
    }
}

// NAV MOBILE
.c-nav__mobile {
    position: fixed;
    right: @margin__s;
    top: @margin__s;
    display: none;
    height: 20px;
    width: 30px;
    cursor: pointer;
    margin-bottom: 15px;
    z-index: 999;

    .line {
        position: absolute;
        left: 0;
        height: 1px;
        width: 100%;
        background-color: @color__white;
        .transition-elastic;

    }

    .line--1 {
        top: 0;
        .u-transform(scale(1));
    }

    .line--2,
    .line--3 {
        top: 50%;
        .u-transform(rotate(0deg));
    }

    .line--4 {
        bottom: 0;
        .u-transform(scale(1));
    }
}

body.openMenu {
    .c-nav__mobile {

        .line--1 {
            top: 0;
            .u-transform(scale(0));
        }

        .line--2 {
            top: 50%;
            .u-transform(rotate(-45deg));
        }

        .line--3 {
            top: 50%;
            .u-transform(rotate(45deg));
        }

        .line--4 {
            bottom: 0;
            .u-transform(scale(0));
        }
    }

}

@media @media_desktop,
@media_landascape,
@media_full {
    .c-nav__mobile {
        display: block;
        left: @margin__xl;
        top: @margin__m;
        z-index: 1;
    }

    body.openMenu {
        .c-header {
            .u-transform(translateY(0));
        }
    }
}

@media @media_landascape {
    .c-header {
        padding: 0 @margin__l;
    }

    .main-navigation {
        .c-menu a {
            padding: 0 @margin__s/2;
        }
    }

    .c-socialWidget {
        margin-left: @margin__s;
    }
}

@media @media_tablet,
@media_smartphone {
    .c-header {
        font-size: @size__xl;
        padding: 0 @margin__m;
        height: @header__h_phone;
        line-height: @header__h_phone;
    }

    // .site-branding {
    //     a{
    //         .u-flex-display;
    //         .u-align-items(center);
    //     }
    //     img {
    //         height: 35px;
    //     }
    // }

    .custom-logo-link {
        img {
            width: 150px;
        }
    }

    .c-nav__mobile {
        display: block;
    }

    .main-navigation {
        position: absolute;
        display: none;
        padding: @margin__m;
        overflow: scroll;
        top: @header__h_phone;
        left: 0;
        right: 0;
        bottom: 0;
        height: calc(100vh ~'-'@header__h_phone);
        width: 100%;
        z-index: 999;
        background-color: @color__alpha;

        .c-menu {
            .u-flex-direction(column);

            a {
                color: white;
                padding: 0;
                height: @navItem__h_phone + 20px;
                line-height: @navItem__h_phone + 20px;
            }

            li.current_page_item a:after {
                height: 3px;
            }
        }
    }

    .c-socialWidget {
        margin-left: 0;
    }

    body.openMenu {
        .main-navigation {
            display: block;
        }
    }
}

@media @media_smartphone {
    .c-header {
        font-size: @size__l;
        padding: 0 @margin__s;
    }

    .main-navigation {
        padding: @margin__s;
    }

    .custom-logo-link {
        img {
            width: 100px;
        }
    }
}

// COOKIE BAR
#cookie-notice {
    position: fixed;
    width: 400px;
    min-width: initial;
    bottom: @margin__s;
    left: @margin__s;
    right: initial;
    border-bottom-right-radius: 20px;
    .animation__cookie;
    .transition-elastic--long;

    #cn-notice-text {
        margin-bottom: 20px;
        text-align: left;
        font-size: @size__s;
    }

    .cookie-notice-container {
        .u-flex-display;
        .u-align-items(flex-end);
        .u-justify-content(space-between);
        .u-flex-wrap(wrap);
        width: 100%;
        padding: @margin__s;
    }
    cn-text-container {
        padding-right: @margin__s;
        
    }
    .cn-buttons-container {
        .u-flex-display;
        .u-align-items(center);
        .u-justify-content(space-between);
        width: 100%;
    }

    .o-button {
        margin: 0;
        width: 40%;
        min-width: initial;
    }

    .cn-close-icon {
        top: 30px;
    }

    @media @media_smartphone {
        width: 100%;
        right: 0;
        left: 0;
        bottom: initial;
        top: 0;
        border-bottom-right-radius: 0;

        #cn-notice-text {
            margin-bottom: 10px;
            font-size: @size__s;
        }
        .cookie-notice-container {
            padding: @margin__s/2;
        }
    }
}

// RECAPTCHA v3
.grecaptcha-badge {
    opacity: 0;
}